.TH "mca_btl_mx_proc_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_btl_mx_proc_t \- Represents the state of a remote process and the set of addresses that it exports.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <btl_mx_proc.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_list_item_t\fP \fBsuper\fP"
.br
.RI "\fIallow proc to be placed on a list \fP"
.ti -1c
.RI "ompi_proc_t * \fBproc_ompi\fP"
.br
.RI "\fIpointer to corresponding ompi_proc_t \fP"
.ti -1c
.RI "size_t \fBproc_addr_index\fP"
.br
.RI "\fInext remote address that will be used to establish the connection \fP"
.ti -1c
.RI "\fBmca_btl_base_endpoint_t\fP ** \fBproc_endpoints\fP"
.br
.RI "\fIarray of endpoints that have been created to access this proc \fP"
.ti -1c
.RI "size_t \fBproc_endpoint_count\fP"
.br
.RI "\fInumber of endpoints \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBproc_lock\fP"
.br
.RI "\fIlock to protect against concurrent access to proc state \fP"
.in -1c
.SH "Detailed Description"
.PP 
Represents the state of a remote process and the set of addresses that it exports. 

Also cache an instance of \fBmca_btl_base_endpoint_t\fP for each BTL instance that attempts to open a connection to the process. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
